'use strict'

const grpc = require('grpc')
const loader = require('@grpc/proto-loader')

function main() {
  const repro = grpc.loadPackageDefinition(loader.loadSync('repro.proto', {})).repro
  const client = new repro('127.0.0.1:8080', grpc.credentials.createInsecure())
  setTimeout(() => process.exit(0), 1000)
  client.repro({ }, (err, result) => console.log(err, result))
}

main()
